<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.pj.project.tb_favorite_contacts.TbFavoriteContactsMapper">




	<!-- ================================== 查询相关 ================================== -->
	<!-- select id, name, phone, address, fk_app_user_id, create_time, create_by, create_name, update_time, update_by, update_name, delete_status from tb_favorite_contacts  -->

	<!-- 通用映射：自动模式 -->
	<resultMap id="model" autoMapping="true" type="com.pj.project.tb_favorite_contacts.TbFavoriteContacts"></resultMap>

	<!-- 公共查询sql片段 -->
	<sql id="select_sql">
		select *
		from tb_favorite_contacts
	</sql>


	<!-- 查集合 - 根据条件（参数为空时代表忽略指定条件） [G] -->
	<select id="getList" resultMap="model">
		<include refid="select_sql"></include>
		<where>
			<if test=' this.has("id") '> and id = #{id} </if>
			<if test=' this.has("name") '> and name = #{name} </if>
			<if test=' this.has("phone") '> and phone = #{phone} </if>
			<if test=' this.has("address") '> and address = #{address} </if>
			<if test=' this.has("fkAppUser") '> and fk_app_user = #{fkAppUser} </if>
			<if test=' this.has("createBy") '> and create_by = #{createBy} </if>
			<if test=' this.has("createName") '> and create_name = #{createName} </if>
			<if test=' this.has("updateBy") '> and update_by = #{updateBy} </if>
			<if test=' this.has("updateName") '> and update_name = #{updateName} </if>
			<if test=' this.has("deleteStatus") '> and delete_status = #{deleteStatus} </if>
		</where>
		order by
		<choose>
			<when test='sortType == 1'> id desc </when>
			<when test='sortType == 2'> name desc </when>
			<when test='sortType == 3'> phone desc </when>
			<when test='sortType == 4'> address desc </when>
			<when test='sortType == 5'> fk_app_user_id desc </when>
			<when test='sortType == 6'> create_time desc </when>
			<when test='sortType == 7'> create_by desc </when>
			<when test='sortType == 8'> create_name desc </when>
			<when test='sortType == 9'> update_time desc </when>
			<when test='sortType == 10'> update_by desc </when>
			<when test='sortType == 11'> update_name desc </when>
			<otherwise> id desc </otherwise>
		</choose>
	</select>










</mapper>
